<div class="selectable-vector-tiles {{if this.isLoading "is-loading"}}" {{did-insert this.querySelectedFeature}} {{did-update this.querySelectedFeature @selectedId}}>
  <Map::Layer::VectorTiles
    @style={{this.mapStyles.styleFunction}}
    @selectedId={{@selectedId}}
    @map={{@map}}
    @bearer={{@bearer}}
    @url={{@url}}
    @debugTiles={{this.debugTiles}}
    @onLayerUpdate={{@onLayerUpdate}}
    @onHover={{this.hover}}
    @onSelect={{this.select}}
    @cacheId={{@cacheId}}
  />

  {{#each this.overlays as |overlay|}}
    <Map::Overlay class="hover-overlay" @map={{@map}} @position={{overlay.position}}>
      <HoverIcon @overlay={{overlay}} @onClick={{fn this.select overlay.feature}} @onRemove={{fn this.removeOverlay overlay}} />
    </Map::Overlay>
  {{/each}}

  {{#if (eq this.featureSelection.type "pending")}}
    <Map::Overlay @map={{@map}} @position={{this.featureSelection.coordinates}}>
      <div class="pending-label content site-list p-2 text-info">
        {{t "feature-pending-message"}}
      </div>
    </Map::Overlay>
  {{/if}}

  {{#if (eq this.featureSelection.type "group")}}
    <Map::Overlay @map={{@map}} @position={{this.featureSelection.coordinates}}>
      <Map::Marker::Group @map={{@map}} @feature={{this.featureSelection.group}} @onZoom={{this.selectFeature}} @onSelect={{this.selectFeatureFromGroup}} />
    </Map::Overlay>
  {{/if}}
</div>